%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")


Name:           python-radare2
Version:        2.6.0
Release:        1%{?dist}
License:        LGPL-3.0
Source:         http://radare.nopcode.org/get/radare2-bindings-%{version}.tar.gz
Group:          Development/Tools/Debuggers
Url:            http://www.radare.org
Summary:        Reverse Engineering Framework
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  swig
BuildRequires:  radare2-devel
BuildRequires:  openssl-devel
BuildRequires:  file-devel
BuildRequires:  guile-devel
BuildRequires:  ruby-devel
BuildRequires:  valabind
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool
BuildRequires:	libzip-devel
%if 0%{?fedora} >= 26
BuildRequires:  vala-compat
%else
BuildRequires:  vala
%endif
BuildRequires:  %(basename %{__python})-devel
BuildRequires:  acr
Obsoletes:	python-radare == 2.1.6.0
Obsoletes:	python-radare == 2.1.3.0
Obsoletes:	python-radare == 2.0.10.4

%description
Python bindings for radare

%prep
%setup -q -n radare2-bindings-%{version}

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=%{_prefix}
cd python
%{__make}

%install
cd python
%make_install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(644, root, root)	%{python_sitelib}/r2/*.*

%changelog
* Sun May 20 2018 Lawrence R. Rogers <lrr@cert.org> 2.6.0-1
* Release 2.6.0-1
	Version 2.6.0.

* Mon Jan 29 2018 Lawrence R. Rogers <lrr@cert.org> 2.3.0-1
* Release 2.3.0-1
	Version 2.3.0.

* Mon Nov 27 2017 Lawrence R. Rogers <lrr@cert.org> 2.1.0-1
* Release 2.1.0-1
	Version 2.1.0.

* Tue Jul 11 2017 Lawrence R. Rogers <lrr@cert.org> 2.1.6.0-1
* Release 2.1.6.0-1
	Version 1.6.0

* Mon Jul 11 2016 Lawrence R. Rogers <lrr@cert.org> 2.0.10.4-1
* Release 2.0.10.4-1
	Version 0.10.4

* Fri Jun  5 2015 Lawrence R. Rogers <lrr@cert.org> 2.0.9.9-1
* Release 2.0.9.9-1
	Version 0.9.9

* Fri May 09 2014 Lawrence R. Rogers <lrr@cert.org> 2.0.9.7-1
* Release 2.0.9.7-1
	These are the python bindings for radare2

